S3D_OBJ_INFO(9)

NAME
s3d_obj_info - object information

SYNOPSIS

#include <s3d.h>

STRUCTURE MEMBERS

    struct s3d_obj_info {
    	uint32_t object;
    	uint32_t flags;
    	float trans_x;
    	float trans_y;
    	float trans_z;
    	float rot_x;
    	float rot_y;
    	float rot_z;
    	float scale;
    	float r;
    	char name;
    }

DESCRIPTION

Can be used on the buffer of an event of type S3D_EVENT_OBJ_INFO. name will usually contain nothing for usual objects, but mcp objects will contain the applications names here. r is the radius of the convex sphere an object, which will also be interesting for the mcp.

Special objects like camera, pointer will have the "sys_" prefix in the name and will be named "pointer0", "pointer1" ... or "cam0", "cam1" ... For cam object, scale will contain the aspect ratio.

AUTHOR

Simon Wunderlich
    Author of s3d